SQ(1)

NAME
sq toolbox keyring list - List keys in a keyring

SYNOPSIS
sq toolbox keyring list [OPTIONS] FILE

DESCRIPTION
List keys in a keyring.

Prints the fingerprint as well as the primary userid for every certificate encountered in the keyring.

OPTIONS

  Subcommand options

--all-userids
    List all user ids, even those that are expired, revoked, or not valid under the standard policy.

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

List all certificates.

    sq toolbox keyring list certs.pgp

List all certificates with a user ID on example.org.

    sq toolbox keyring filter --domain=example.org certs.pgp \
        | sq toolbox keyring list

SEE ALSO
sq(1), sq-toolbox(1), sq-toolbox-keyring(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.39.0 (sequoia-openpgp 1.21.2)